/dealCustomFields/:id

Update a deals custom field.

🚧

Require owner permissions

Only the owner has access to modify deals custom fields.

📘

Order Weights

You can create a custom sort order by setting the orderWeight field. For example, if you have one option with an orderWeight of 10000 and another of 11000, you can create a new stage with an orderWeight of 10500 that would be placed between them.

However, once the stage has been created, the orderWeight for all stages will be recalculated to enforce the new ordering with gaps of 1000. In the previous example, that means the value that was at 11000 will be moved to 12000 and the new one created at 10500 becomes 11000.

Path Params
int32
required

The id of the deals custom field.

Body Params
string
required

The user-friendly name of the custom field (e.g., "Anniversary").

string
enum
required

The type of deals custom field.

Allowed:
choices
array of strings

Array of options related to a deals custom field of type Dropdown.

choices
boolean
Defaults to false

Whether a date field occurs every year (e.g. birthdays, anniversaries, etc.).

boolean
Defaults to false

Sets whether we will hide this field if it is empty.

int32
Defaults to 0

A weighted integer for the field to assign values for custom sorting.

dropdownChoiceMap
array of int32s
Defaults to

An optional mapping that points previous dropdown choices (keys) to their new positions (values). This is used to track when options get moved or renamed. If items are missing from the keys, they will be removed. If the mapping is not supplied, then this endpoint will try to determine if items have been moved or renamed on its own.

dropdownChoiceMap
boolean
Defaults to false

Sets whether the field is read only or not.

Response

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json